mbed TLS v2.23.0: psa_drv_se_key_derivation_t Struct Reference

mbed TLS v2.23.0

Data Fields
psa_drv_se_key_derivation_t Struct Reference
Secure Element Key Derivation and Agreement

A struct containing all of the function pointers needed to for secure element key derivation and agreement. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_key_derivation_t:
[legend]

## Data Fields
size_t | context_size
psa_drv_se_key_derivation_setup_t | p_setup
psa_drv_se_key_derivation_collateral_t | p_collateral
psa_drv_se_key_derivation_derive_t | p_derive
psa_drv_se_key_derivation_export_t | p_export

## Detailed Description

A struct containing all of the function pointers needed to for secure element key derivation and agreement.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup.

If one of the functions is not implemented, it should be set to NULL.

Definition at line 1263 of file crypto_se_driver.h.

## Field Documentation

## ◆ context_size

size_t psa_drv_se_key_derivation_t::context_size

The driver-specific size of the key derivation context

Definition at line 1265 of file crypto_se_driver.h.

## ◆ p_collateral

psa_drv_se_key_derivation_collateral_t psa_drv_se_key_derivation_t::p_collateral

Function that sets key derivation collateral

Definition at line 1269 of file crypto_se_driver.h.

## ◆ p_derive

psa_drv_se_key_derivation_derive_t psa_drv_se_key_derivation_t::p_derive

Function that performs a final key derivation step

Definition at line 1271 of file crypto_se_driver.h.

## ◆ p_export

psa_drv_se_key_derivation_export_t psa_drv_se_key_derivation_t::p_export

Function that perforsm a final key derivation or agreement and exports the key

Definition at line 1274 of file crypto_se_driver.h.

## ◆ p_setup

psa_drv_se_key_derivation_setup_t psa_drv_se_key_derivation_t::p_setup

Function that performs a key derivation setup

Definition at line 1267 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h